[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.ValidateEntry

Validates the value for the specified cell.

## Declaration

Source position: grids.pas line 1212

`protected function TCustomGrid.ValidateEntry(`
`const ACol: Integer;`
`const ARow: Integer;`
`const OldValue: string;`
`var NewValue: string`
`):Boolean; virtual;`

## Arguments

`ACol` |  | Column number for the operation.
`ARow` |  | Row number for the operation.
`OldValue` |  | Value on entry to the method.
`NewValue` |  | Value on exit from the method.

## Function result

True when validation completes successfully.

## Description

ValidateEntry is a Boolean function used to a validate the value for the cell at the specified Col and Row position.

ValidateEntry signals the OnValidateEntry event handler (when assigned) to perform validation for the cell. The return value is True when OnValidateEntry completes successfully, or when the event handler has not been assigned.

## See also

TCustomGrid.OnValidateEntry |  | Event handler signalled to perform validation for a cell value.
TCustomGrid.Col |  | Column index for the selected grid cell.
TCustomGrid.Row |  | Row number for the selected grid cell.